-- ----------------------------
CREATE DATABASE IF NOT EXISTS olap_dwd;
USE olap_dwd;

/**
    职员信息
 */
CREATE TABLE IF NOT EXISTS dwd_employees  (
    id varchar(200)  NOT NULL,
    employee_id varchar(200)  NOT NULL,
    tenant_user_id varchar(200)  NOT NULL default '#1',
    occupation_type tinyint(2),
    hire_date datetime,
    leave_date datetime,
    duty_status tinyint(2),
    insure_status tinyint(2),
    company_id varchar(200),
    company_name varchar(200),
    company_office_type varchar(100),
    company_supervise_office varchar(100),
    company_supervise_office_code varchar(100),
    company_industry_code varchar(100),
    company_institutional_code varchar(100),
    company_supervise_region_code varchar(100),
    department_json varchar(500) ,
    att_site_json varchar(500) ,
    security_certificate_no varchar(200) ,
    level_certificate_no varchar(200)
    )PRIMARY KEY (id)
    DISTRIBUTED BY HASH (id)
    PROPERTIES (
    "enable_persistent_index" = "true"
 );

CREATE TABLE IF NOT EXISTS dwd_companies  (
    id varchar(200)  NOT NULL,
    name varchar(200),
    office_type varchar(100),
    supervise_office varchar(100),
    supervise_office_code varchar(100),
    industry_code varchar(100),
    institutional_code varchar(100),
    supervise_region_code varchar(100)
    )PRIMARY KEY (id)
    DISTRIBUTED BY HASH (id)
    PROPERTIES ("enable_persistent_index" = "true");

/**
  驻勤点信息
 */
CREATE TABLE IF NOT EXISTS dwd_att_sites  (
    id STRING,name STRING,code STRING,organization_id STRING
    )PRIMARY KEY (id)
    DISTRIBUTED BY HASH (id)
    PROPERTIES ( "enable_persistent_index" = "true");

/**
  部门信息
 */
CREATE TABLE IF NOT EXISTS dwd_tenant_departments  (
    id STRING,name STRING,code STRING,organization_id STRING
    )PRIMARY KEY (id)
    DISTRIBUTED BY HASH (id)
    PROPERTIES ( "enable_persistent_index" = "true");

/**
  人员所在的部门-轻微汇聚表
 */
CREATE TABLE IF NOT EXISTS dwm_employee_departments  (
    employee_id varchar(200)  NOT NULL,
    department_json varchar(1000),
    last_sync_time datetime
    )PRIMARY KEY (employee_id)
    DISTRIBUTED BY HASH (employee_id)
    PROPERTIES ( "enable_persistent_index" = "true");

/**
  人员所在的驻勤点-轻微汇聚表
 */
CREATE TABLE IF NOT EXISTS dwm_employee_att_sites  (
    employee_id varchar(200)  NOT NULL,
    att_json varchar(1000),
    last_sync_time datetime
    )PRIMARY KEY (employee_id)
    DISTRIBUTED BY HASH (employee_id)
    PROPERTIES ( "enable_persistent_index" = "true");
